
%global git_commit f44143

Name: libmodsecurity
Version: 3.0
Release: 0.git%{git_commit}%{?dist}
Summary: A library that loads/interprets rules written in the ModSecurity SecRules 

License: ASL 2.0
URL: https://www.modsecurity.org/
# Pre release: https://github.com/SpiderLabs/ModSecurity/tree/libmodsecurity
Source0: libmodsecurity-%{version}.0git%{git_commit}.tar.gz

BuildRequires:  pkgconfig(libxml-2.0) pkgconfig(yajl) pkgconfig(libcurl) pkgconfig(geoip) pkgconfig(libpcre)
BuildRequires:  flex bison doxygen

#Temp deps for devel release
BuildRequires:  autoconf automake libtool
#Requires: 

%description
Libmodsecurity is one component of the ModSecurity v3 project.
The library codebase serves as an interface to ModSecurity Connectors 
taking in web traffic and applying traditional ModSecurity processing.
In general, it provides the capability to load/interpret rules written 
in the ModSecurity SecRules format and apply them to HTTP content provided
by your application via Connectors.


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}.0git%{git_commit}


%build
./build.sh
%configure --disable-static --libdir=%{_libdir}
make %{?_smp_mflags}


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# workarounds: will be removed once fixed
mv %{buildroot}/%{_bindir}/test %{buildroot}/%{_bindir}/modsec_test
%if %{__isa_bits} == 64
  mkdir -p %{buildroot}/%{_libdir}/
  mv %{buildroot}/%{_prefix}/lib/* %{buildroot}/%{_libdir}/
%endif


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README.md AUTHORS
%{_libdir}/*.so.*
%{_bindir}/*
%license LICENSE

%files devel
%doc README.md AUTHORS
%{_includedir}/*
%{_libdir}/*.so
%license LICENSE


%changelog
* Mon Feb 22 2016 Athmane Madjoudj <athmane@fedoraproject.org> 3.0-0.git
- Initial release

